Mailinglist Archive: opensuse-security-announce (90 mails)

< Previous Next >
[security-announce] openSUSE-SU-2019:1954-1: moderate: Security update for openexr
openSUSE Security Update: Security update for openexr
______________________________________________________________________________

Announcement ID: openSUSE-SU-2019:1954-1
Rating: moderate
References: #1061305
Cross-References: CVE-2017-14988
Affected Products:
openSUSE Leap 15.1
openSUSE Leap 15.0
______________________________________________________________________________

An update that fixes one vulnerability is now available.

Description:

This update for openexr fixes the following issues:

- CVE-2017-14988: Fixed a denial of service in Header::readfrom()
(bsc#1061305).

This update was imported from the SUSE:SLE-15:Update update project.


Patch Instructions:

To install this openSUSE Security Update use the SUSE recommended
installation methods
like YaST online_update or "zypper patch".

Alternatively you can run the command listed for your product:

- openSUSE Leap 15.1:

zypper in -t patch openSUSE-2019-1954=1

- openSUSE Leap 15.0:

zypper in -t patch openSUSE-2019-1954=1



Package List:

- openSUSE Leap 15.1 (i586 x86_64):

libIlmImf-2_2-23-2.2.1-lp151.4.6.1
libIlmImf-2_2-23-debuginfo-2.2.1-lp151.4.6.1
libIlmImfUtil-2_2-23-2.2.1-lp151.4.6.1
libIlmImfUtil-2_2-23-debuginfo-2.2.1-lp151.4.6.1
openexr-2.2.1-lp151.4.6.1
openexr-debuginfo-2.2.1-lp151.4.6.1
openexr-debugsource-2.2.1-lp151.4.6.1
openexr-devel-2.2.1-lp151.4.6.1
openexr-doc-2.2.1-lp151.4.6.1

- openSUSE Leap 15.1 (x86_64):

libIlmImf-2_2-23-32bit-2.2.1-lp151.4.6.1
libIlmImf-2_2-23-32bit-debuginfo-2.2.1-lp151.4.6.1
libIlmImfUtil-2_2-23-32bit-2.2.1-lp151.4.6.1
libIlmImfUtil-2_2-23-32bit-debuginfo-2.2.1-lp151.4.6.1

- openSUSE Leap 15.0 (i586 x86_64):

libIlmImf-2_2-23-2.2.1-lp150.2.9.1
libIlmImf-2_2-23-debuginfo-2.2.1-lp150.2.9.1
libIlmImfUtil-2_2-23-2.2.1-lp150.2.9.1
libIlmImfUtil-2_2-23-debuginfo-2.2.1-lp150.2.9.1
openexr-2.2.1-lp150.2.9.1
openexr-debuginfo-2.2.1-lp150.2.9.1
openexr-debugsource-2.2.1-lp150.2.9.1
openexr-devel-2.2.1-lp150.2.9.1
openexr-doc-2.2.1-lp150.2.9.1

- openSUSE Leap 15.0 (x86_64):

libIlmImf-2_2-23-32bit-2.2.1-lp150.2.9.1
libIlmImf-2_2-23-32bit-debuginfo-2.2.1-lp150.2.9.1
libIlmImfUtil-2_2-23-32bit-2.2.1-lp150.2.9.1
libIlmImfUtil-2_2-23-32bit-debuginfo-2.2.1-lp150.2.9.1


References:

https://www.suse.com/security/cve/CVE-2017-14988.html
https://bugzilla.suse.com/1061305

--
To unsubscribe, e-mail: opensuse-security-announce+unsubscribe@xxxxxxxxxxxx
For additional commands, e-mail: opensuse-security-announce+help@xxxxxxxxxxxx

< Previous Next >
This Thread
  • No further messages